using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VIZ.Package.Domain;

namespace VIZ.TVP.CBA.Module
{
    public class TeamStandingPlugin :  IPluginLifeCycle
    {

        /// <summary>
        /// 插件ID
        /// </summary>
        /// <remarks>
        /// 插件ID不能包含点号
        /// </remarks>
        public const string PLUGIN_ID = "TeamStandingView";

        /// <summary>
        /// 插件显示名称
        /// </summary>
        public const string PLUGIN_NAME = "积分榜";

        public void Dispose()
        {
            
        }

        public void Initialize()
        {
            
        }

        public PluginInfo Register()
        {
            PluginInfo info = new PluginInfo();
            info.Group = PluginConstant.GroupName;
            info.ID = PLUGIN_ID;
            info.Name = PLUGIN_NAME;
            info.PluginType = PluginType.Page;
            info.ViewType = typeof(TeamStandingView);

            //info.SettingViewType = typeof(DayMatchUI);

            return info;
        }
    }
}
